> For the complete documentation index, see [llms.txt](https://developer.acquire.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.acquire.io/rest-apis/conversation/conversation-or-notes.md).

# Notes

Create, retrieve, update or delete notes for a particular contact or case.

## Attributes

| Attribute   | Type    | Description                                                                                          |
| ----------- | ------- | ---------------------------------------------------------------------------------------------------- |
| id          | Integer | Specifies ID of the note.                                                                            |
| contactId   | Integer | <p>Specifies the contactID of the note </p><p>under which it was created.</p>                        |
| type        | String  | <p>Specifies the type of note and whether or not  </p><p>it's a separate note or a note message.</p> |
| title       | String  | Specifies the title of the note which was created.                                                   |
| description | String  | Specifies the description of the note.                                                               |
| userId      | Integer | Specifies the ID of the user who created the note.                                                   |
| dateCreated | Date    | Specifies the date on which the note was created.                                                    |
| users       | Object  | <p>Specifies the details of the users </p><p>involved in the notes.</p>                              |
| lastMessage | Object  | Specifies the last, or most recent, message in the note section                                      |

## Permissions

To request a case endpoint, you will need a valid API key with note access permissions.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/rest-apis/conversation/conversation-or-notes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
